# For population 10,000 recombo set 1

rm(list=ls())
setwd("/home/otto/Hodgson") # adjust as appopriate
source("Latest Version Dec 2011 Dryad.R")
source("Source into R2 Dec 2011 Dryad.R")

nruns <- 10000 #number of introductions per burn in
nreps <- 500 # number of burn ins

num <- 10000

ra <- 0.02
rb <- 0.01
rc <- 0.0

when.intro <- 1250
alpha.h <- -0.1
alpha.p <- 0.1

#Run 1
beta <- 0.9
matrix.meansR1 <- matrix(replicates(nreps, nruns), ncol=5)

#Runs 2
beta <- 0.5
matrix.meansR2 <- matrix(replicates(nreps, nruns), ncol=5)

#Run 3
beta <- 0.2
matrix.meansR3 <- matrix(replicates(nreps, nruns), ncol=5)

#Run 4
beta <- 0.1
matrix.meansR4 <- matrix(replicates(nreps, nruns), ncol=5)

#Run 5
beta <- 0.05
matrix.meansR5 <- matrix(replicates(nreps, nruns), ncol=5)

#Run 6
beta <- 0.025
matrix.meansR6 <- matrix(replicates(nreps, nruns), ncol=5)

#Run 7
beta <- 0.01
matrix.meansR7 <- matrix(replicates(nreps, nruns), ncol=5)

source("Output Formulas Dryad.R")


# SUMMARY DATA

POP10000R1 <- matrix(NA, nrow = 7, ncol = 10)

alphass <- c(rep(0.1, 7))
POP10000R1[,1] <- alphass

betass <- c(0.9, 0.5, 0.2, 0.1, 0.05, 0.025, 0.01)
POP10000R1[,2] <- rep(betass,1)

meansMB <- c(mean(matrix(matrix.meansR1[,1])), 
			mean(matrix(matrix.meansR2[,1])),
			mean(matrix(matrix.meansR3[,1])),
			mean(matrix(matrix.meansR4[,1])),
			mean(matrix(matrix.meansR5[,1])),
			mean(matrix(matrix.meansR6[,1])),
			mean(matrix(matrix.meansR7[,1]))
			)

POP10000R1[,3] <- meansMB

meansMb <- c(mean(matrix(matrix.meansR1[,2])), 
			mean(matrix(matrix.meansR2[,2])),
			mean(matrix(matrix.meansR3[,2])),
			mean(matrix(matrix.meansR4[,2])),
			mean(matrix(matrix.meansR5[,2])),
			mean(matrix(matrix.meansR6[,2])),
			mean(matrix(matrix.meansR7[,2]))
			)

POP10000R1[,5] <- meansMb

seMB <- c(se.MB1, se.MB2, se.MB3, se.MB4, se.MB5, se.MB6, se.MB7)

POP10000R1[,4] <- seMB

seMb <- c(se.Mb1, se.Mb2, se.Mb3, se.Mb4, se.Mb5, se.Mb6, se.Mb7)

POP10000R1[,6] <- seMb			

probfixB <- c(mean(matrix.prfix1), 
			mean(matrix.prfix2),
			mean(matrix.prfix3),
			mean(matrix.prfix4),
			mean(matrix.prfix5),
			mean(matrix.prfix6),
			mean(matrix.prfix7)
			)

POP10000R1[,9] <- probfixB

seprfixB <- c(se.prfix1, se.prfix2, se.prfix3,
			se.prfix4, se.prfix5, se.prfix6, 
			se.prfix7
			)

POP10000R1[,10] <- seprfixB

meanM <- c(mean(matrix1), mean(matrix2), mean(matrix3),
			mean(matrix4), mean(matrix5), mean(matrix6), 
			mean(matrix7)
			)

POP10000R1[,7] <- meanM

seM <- c(se.M1, se.M2, se.M3, se.M4, se.M5, se.M6, se.M7)

POP10000R1[,8] <- seM

write.csv(POP10000R1, file = "Pop_10000_R1_S01.csv")

