gtypes <- expand.grid(B=1:0, A=1:0, M=1:0)[c(2,1,3)]

##Initialize populations
# host
initialize <- function(f.A, f.B, f.M, num){
	H <- function(x1, x2, x3){
		f.A[x1]*f.B[x2]*f.M[x3]
	}

	probs <- array(c(c(H(1,1,1), H(1,2,1)),
					c(H(2,1,1), H(2,2,1)),
					c(H(1,1,2), H(1,2,2)),
					c(H(2,1,2), H(2,2,2))), c(2,2,2))
	
	array(rmultinom(1, size=num, prob=probs), c(2,2,2), dimnames=list(c	("B", "b"), c("A", "a"), c	("M", "m")))
}

nh <- c(initialize(f.A, f.B, f.M, num))

# parasite
xp <- runif(1)
##xp <- rbinom(1, size=num, prob=xp)

##Mutation functions
mutation.h <- function(mu.h, xh){
	to <- c(3:4, 1:2, 7:8, 5:6)
	(1 - mu.h) * xh + mu.h * xh[to]
}

mutation.p <- function(mu.p, xp){
	xp - mu.p * xp + mu.p * (1 - xp)
}

##Selection functions
#Parasite
next.gen.p <- function (xp, wp) {
	xpnew <- xp * wp[1]
	wpbar <- sum(c(xp, 1-xp)*wp)
	xpnew/wpbar
}

#Host
next.gen.h <- function(xh, wh) {
	xhnew <- xh * wh
	whbar <- sum(xhnew)
	xhnew / whbar
}

# Function to introduce B to the population and
# make half of the population have the M allele
intro.b <- function(nh) {
	take <- tabulate(sample(rep(1:8, nh), num/2), 8)
	y <- nh - take
	y[c(2,4)] <- take[c(6,8)]
	i <- sample(8, 1, prob=y)
	y[i] <- y[i] - 1
	y[i-1] <- 1
	nh <- y
	nh
}

